import javax.swing.event.*;
import javax.swing.*;
import java.awt.*;

public class ListTest implements ListSelectionListener {

	JList list;
		
	public static void main (String[] args) {
		ListTest gui = new ListTest();
		gui.los();
	}
	
	public void los () {
		JFrame frame = new JFrame("List");
		
		String[] entries = {"Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag", "Sonntag"};
		
		list = new JList(entries);
		list.setVisibleRowCount(5);
		list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);

		list.addListSelectionListener(this);
		
		JScrollPane scroller = new JScrollPane(list);
		scroller.setVerticalScrollBarPolicy(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
		scroller.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
	
		frame.getContentPane().add(BorderLayout.CENTER, scroller);

		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setSize(300,300);
		frame.setVisible(true);		
	}
	
	public void valueChanged (ListSelectionEvent event) {
		if (!event.getValueIsAdjusting()) {
			System.out.println((String) list.getSelectedValue());
		}
	}	
}