import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ZweiButtons {

	// 2 buttons and a label
	JButton linksButton;
	JButton rechtsButton;	
	JLabel label;
	
	public static void main (String[] args) {
		ZweiButtons gui = new ZweiButtons();
		gui.los();
	}
	
	public void los() {
		JFrame frame = new JFrame("Zwei Buttons mit inneren Klassen");
		
		// create buttons with icons
		linksButton = new JButton("Linker Button");
		linksButton.addActionListener(new LinksButtonListener());
		
		rechtsButton = new JButton("Rechter Button");
		rechtsButton.addActionListener(new RechtsButtonListener());

		// add the buttons to the panel
		frame.add(linksButton, BorderLayout.WEST);
		frame.add(rechtsButton, BorderLayout.EAST);
		
		// create the label and add it to the panel
		label = new JLabel("Wo stehe ich?");
		frame.add(label, BorderLayout.CENTER);

		// finish initialization of the frame
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.pack();				// let Java calculate the necessary size for the window
		//frame.setSize(100,500);	// alternatively we can set the size
		frame.setVisible(true);		
	}
	
	// each button gets an inner class that listens for a button press
	class LinksButtonListener implements ActionListener {
		public void actionPerformed (ActionEvent e) {
			label.setText("Ich stehe links.");
		}
	}
	
	class RechtsButtonListener implements ActionListener {
		public void actionPerformed (ActionEvent e) {
			label.setText("Ich stehe rechts.");
		}
	}
}